Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.editpart
Class CreateRootEditPartOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.EditPartOperation
          org.eclipse.gmf.runtime.diagram.ui.services.editpart.CreateRootEditPartOperation

All Implemented Interfaces:
  IEditPartOperation, IOperation

public class CreateRootEditPartOperation
extends org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.EditPartOperation

Concrete operation to create a `RootEditPart` (or subclass) element.

Constructor Summary
`CreateRootEditPartOperation(Diagram diagram)` Constructor

Method Summary
`java.lang.Object` `execute(IProvider provider)` Creates the editpart.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.EditPartOperation
`determineCachingKey, getCachingKey, getView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateRootEditPartOperation

    public CreateRootEditPartOperation(Diagram diagram)

  Constructor

Parameters:
  `diagram` - `Diagram` notation object that is the context for the operation.

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Creates the editpart.

  Parameters:
    `provider` - the provider capable of honoring this operation.
  Returns:
    the created editpart instance.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.